using IRaCIS.Application.Contracts;
using System;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialRevenuesPriceService
    {
        Task<IResponseOutput> AddOrUpdateTrialRevenuesPrice(TrialRevenuesPriceDTO model);
        Task<bool> DeleteTrialCost(Guid Id);
        Task<PageOutput<TrialRevenuesPriceDetialDTO>> GetTrialRevenuesPriceList(TrialRevenuesPriceQueryDTO param);

    }
}
